Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc.method.annotation
Class ExtendedServletRequestDataBinder

    java.lang.Object
      org.springframework.validation.DataBinder
          org.springframework.web.bind.WebDataBinder
              org.springframework.web.bind.ServletRequestDataBinder
                  org.springframework.web.servlet.mvc.method.annotation.ExtendedServletRequestDataBinder

All Implemented Interfaces:
  PropertyEditorRegistry, TypeConverter

    public class ExtendedServletRequestDataBinder

extends ServletRequestDataBinder

Subclass of `ServletRequestDataBinder` that adds URI template variables to the values used for data binding.

Since:
  3.1
Author:
  Rossen Stoyanchev

Field Summary

Fields inherited from class org.springframework.web.bind.WebDataBinder
`DEFAULT_FIELD_DEFAULT_PREFIX, DEFAULT_FIELD_MARKER_PREFIX`

Fields inherited from class org.springframework.validation.DataBinder
`DEFAULT_AUTO_GROW_COLLECTION_LIMIT, DEFAULT_OBJECT_NAME, logger`

Constructor Summary
`ExtendedServletRequestDataBinder(java.lang.Object target)` Create a new instance, with default object name.
`ExtendedServletRequestDataBinder(java.lang.Object target, java.lang.String objectName)` Create a new instance.

Method Summary
`protected void` | `addBindValues(MutablePropertyValues mpvs, javax.servlet.ServletRequest request)` Merge URI variables into the property values to use for data binding.

Methods inherited from class org.springframework.web.bind.ServletRequestDataBinder
`bind, closeNoCatch`

Methods inherited from class org.springframework.web.bind.WebDataBinder
`bindMultipart, bindMultipartFiles, checkFieldDefaults, checkFieldMarkers, doBind, getEmptyValue, getFieldDefaultPrefix, getFieldMarkerPrefix, isBindEmptyMultipartFiles, setBindEmptyMultipartFiles, setFieldDefaultPrefix, setFieldMarkerPrefix`

Methods inherited from class org.springframework.validation.DataBinder
`applyPropertyValues, bind, checkAllowedFields, checkRequiredFields, close, convertIfNecessary, convertIfNecessary, findCustomEditor, getAllowedFields, getAutoGrowCollectionLimit, getBindingErrorProcessor, getBindingResult, getConversionService, getDisallowedFields, getErrors, getInternalBindingResult, getObjectName, getPropertyAccessor, getPropertyEditorRegistry, getRequiredFields, getSimpleTypeConverter, getTarget, getTypeConverter, getValidator, initBeanPropertyAccess, initDirectFieldAccess, isAllowed, isAutoGrowNestedPaths, isIgnoreInvalidFields, isIgnoreUnknownFields, registerCustomEditor, registerCustomEditor, setAllowedFields, setAutoGrowCollectionLimit, setAutoGrowNestedPaths, setBindingErrorProcessor, setConversionService, setDisallowedFields, setExtractOldValueForEditor, setIgnoreInvalidFields, setIgnoreUnknownFields, setMessageCodesResolver, setRequiredFields, setValidator, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedServletRequestDataBinder

    public ExtendedServletRequestDataBinder(java.lang.Object target)

  Create a new instance, with default object name.

  Parameters:
    `target` - the target object to bind onto (or `null` if the binder is just used to convert a plain parameter value)
  See Also:
    `DataBinder.DEFAULT_OBJECT_NAME`

### ExtendedServletRequestDataBinder

    public ExtendedServletRequestDataBinder(java.lang.Object target,
                                            java.lang.String objectName)

  Create a new instance.

  Parameters:
    `target` - the target object to bind onto (or `null` if the binder is just used to convert a plain parameter value)
    `objectName` - the name of the target object
  See Also:
    `DataBinder.DEFAULT_OBJECT_NAME`

Method Detail

### addBindValues

    protected void addBindValues(MutablePropertyValues mpvs,
                                 javax.servlet.ServletRequest request)

  Merge URI variables into the property values to use for data binding.

  Overrides:
    `addBindValues` in class `ServletRequestDataBinder`
  Parameters:
    `mpvs` - the property values that will be used for data binding
    `request` - the current request

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD